package com.ss.android.ugc.aweme.services;

import X.C1718MuH;
import X.C2273N7s;
import X.C4087NrO;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class InternalRecordServiceImpl$$special$$inlined$singleton$5 extends C1718MuH<C2273N7s> {
    static {
        Covode.recordClassIndex(105093);
    }

    public final C2273N7s get(C4087NrO nrO) {
        M12.LIZ(nrO);
        return new InternalRecordServiceImpl$$special$$inlined$singleton$5$lambda$1(nrO);
    }
}
